Bug 122820

Summary: Tighten animation-driven restyle to operate on Element only.
Product: WebKit Reporter: Andreas Kling <kling>
Component: AnimationsAssignee: Andreas Kling <kling>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dino, dstockwell, kling, simon.fraser
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
koivisto: review+
Patch for landing commit-queue: commit-queue-

Description Andreas Kling 2013-10-15 01:29:44 PDT
Tighten animation-driven restyle to operate on Element only.
Comment 1 Andreas Kling 2013-10-15 01:30:35 PDT
Created attachment 214242 [details]
Patch
Comment 2 Antti Koivisto 2013-10-15 04:08:01 PDT
Comment on attachment 214242 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=214242&action=review

> Source/WebCore/page/animation/AnimationControllerPrivate.h:73
> -    void addNodeChangeToDispatch(PassRefPtr<Node>);
> +    void addElementChangeToDispatch(Element*);

The function does take ownership so I think PassRefPtr argument would still be appropriate.
Comment 3 Andreas Kling 2013-10-17 14:15:06 PDT
Created attachment 214507 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2013-10-22 06:02:26 PDT
Comment on attachment 214507 [details]
Patch for landing

Rejecting attachment 214507 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 214507, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
 3 hunks FAILED -- saving rejects to file Source/WebCore/page/animation/AnimationController.cpp.rej
patching file Source/WebCore/page/animation/AnimationController.h
patching file Source/WebCore/page/animation/AnimationControllerPrivate.h
Hunk #3 FAILED at 133.
1 out of 3 hunks FAILED -- saving rejects to file Source/WebCore/page/animation/AnimationControllerPrivate.h.rej

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/8788310
Comment 5 Andreas Kling 2013-10-23 03:54:15 PDT
Committed r157856: <http://trac.webkit.org/changeset/157856>